#!/usr/bin/php
<?php

//Purpose: Get the CPU and Case Temperatures from the output of lm-sensors
//Author: P. Post, 2014-12-27

$cmd= exec('sensors',$output);

foreach ($output as $line) 
{
	// need to find the temperature in:
	// Core 0:       +39.0 C  (crit = +100.0 C)
	if (preg_match('/Core\s+0:\s+\+(\d+).*/',$line,$match)) 
	{
		//print_r($match);
		print ("cpu_temperature:" . $match[1] . " ");
	}

	// need to find the temperature in:
	// temp1:        +49.0 C  (low  =  -1.0 C, high = +127.0 C)  sensor = thermistor 
	if (preg_match('/temp1:\s+\+(\d+).*/',$line,$match)) 
	{
		//print_r($match);
		print ("case_temperature:" . $match[1] . " ");
	}

}


?>
